// vim: set tw=80 ts=2 sw=2 sts=2 :

import { NgModule } from '@angular/core';
import { HTTP_INTERCEPTORS } from '@angular/common/http';

import { NgLoggerModule } from '@nsalaun/ng-logger';

import { LoginService } from './login.service';
import { AuthInterceptor } from './authInterceptor';

@NgModule({
  imports: [
    NgLoggerModule,
  ],
  providers: [
    LoginService,
    {
      provide: HTTP_INTERCEPTORS,
      useClass: AuthInterceptor,
      multi: true
    }
  ]
})
export class LoginModule {};
